package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Message;

public interface MessageDao {

	public String insert(Message message);

	public String update(Message message,String pt);

	public List<Message> findAll(int pageNo,int pageSize,String pt);

	public List<Message> findByTmpName(String templateName,int pageNo,int pageSize,String pt);

	public boolean delete(List<String> MessageId,String pt);
	
	public int allCount(String pt);
	
	public int findByTmpCount(String templateName,String pt);
	
	public List<Message> findByHandle(int pageNo,int pageSize,boolean handle,String tempName,String pt);
	
	public int findByHandleCount(int pageNo,int pageSize,boolean handle,String tempName,String pt);
	
}
